Linux下编译安装php

作者: 关于计算机  发布:2019-09-06

本来想尝尝一下PHP编写高品质网络服务,需求安装libevent扩充,没悟出令人很费了点脑袋
先下载libevent扩展:

解压后,最初编译

复制代码 代码如下:

$ cd libevent-version
$ /usr/local/php/bin/phpize
$ ./configure --with-php-config=/usr/local/php/bin/php-config

结果即刻报错了,错误展现为re2c版本过低。

re2c,PHP的词法解析器,官方网站:

继承编写翻译刚才的PHP扩充

结果要么报错

复制代码 代码如下:

error: Cannot find libevent headers

以致这里,确定是没找到libevent的目录,
地点查看是不是安装了libevent,
终究在二个索引下找到了libevent-2.0.12-stable目录。
只要未设置,则先需安装libevent。

复制代码 代码如下:

wget
tar zxvf libevent-2.0.20-stable.tar.gz
cd libevent-2.0.20-stable/
./configure --prefix=/usr/local/libevent-2.0.20-stable/
make
make install
cd ../

OK,继续编写翻译增加

复制代码 代码如下:

$ cd libevent-0.0.5
$ /usr/local/php/bin/phpize
$ ./configure --with-php-config=/usr/local/php/bin/php-config --with-libevent=/usr/local/libevent-2.0.20-stable
$ make && make install

顺手工编织译通过

您恐怕感兴趣的小说:

  • php7安装yar扩充的章程详解
  • 在IIS下安装PHP扩大的不二等秘书籍(超轻巧)
  • php7下安装event扩大方法

本文由今晚买四不像发布于关于计算机,转载请注明出处:Linux下编译安装php

关键词: